<?php
 namespace Module\Admin;
 use TCMS\Module;
 use Route;
 use Model;
 use LayoutData;
 class NewsModule extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/news', 'IndexController', 'index')->name('index');
 Route::get('/news/create', 'IndexController', 'create')->name('create');
 Route::post('/news/create', 'IndexController', 'postCreate');
 Route::get('/news/update/{id}', 'IndexController', 'update')->name('update');
 Route::post('/news/update/{id}', 'IndexController', 'postUpdate');
 Route::post('/news/delete/{id}', 'IndexController', 'postDelete')->name('delete');
 }
 public function registerComponent() {
 Model::add('NewsModel');
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 }
 }
